SAND STORM

朝ぼらけ

2011年12月22日

WordPress不通 > Easy Admin Color SchemesのPHP5.3未満 非互換が原因

Filed under: 未分類 — Tags: — sajin @ 15:06

・Wordpressが不通になった原因はEasy Admin Color Schemesの最新版(v4.0)。これがPHPが5.3未満だとWordpress自体をaccess不能にする。

これが直前に為された変更だった。何よりも先にerrorが出る直前に為された変更を疑わなければならない。

・plug-inはFTP serverにあるので、databaseを弄っても駄目

dashboardからのplugin deactivateは当然不可能。/wp-content/plugins/easy-admin-color-schemesを消すか別の場所に移す。

・database復旧の際、INSERT INTO  `wp_comments`  #1062 – Duplicate entryが出た

これはbackupしておいた.sql.gzを解凍し、中身のsqlの該当部分の重複を削除、再度圧縮してphpMyadminでImportすればよい。phpMyadminはrental serverであれば、その会社がおそらく提供している。

・phpMyadminでのimportはdata量が一定以上のsizeになると中断される

Script timeout passed, if you want to finish import, please resubmit same file and import will resume.

しかし、上の様に表示されていれば、再度同じfileを指定してimportすることでresumeされ問題なく復旧できる。


関連記事

6 Comments »

  1. testも兼ねて書き込む。
    関連記事が機能していない。これは確かpluginで提供されているものの筈で、
    再度構築が必要か?

    Comment by sajin — 2011年12月22日 @ 15:21

  2. いずれにせよ、plugin程度のupdateでこういったriskに巻き込まれるのはかなわない。
    不用なものはすべて消し去っておこう。

    Comment by sajin — 2011年12月22日 @ 15:22

  3. http://wordpress.org/support/topic/plugin-easy-admin-color-schemes-40-upgrade-left-my-site-blank?replies=3#post-2516275

    As it says, the new version 4.0 of the plugin requires at least PHP version 5.3. If your server can’t support PHP 5.3 or greater then you can still use the old version of the plugin.

    rental server側のPHPが5.3以上になっていない場合、Admin Color Schemesはwordpressを不通状態にする。

    Comment by sajin — 2011年12月22日 @ 15:37

  4. EACSでの
    Post編集時のbackground
    #post-body {
    background: #dcc;

    Comment by sajin — 2011年12月23日 @ 02:12

  5. 自分ですべてcustomして組んだthemeがPost-Plugin Libraryと競合を起こすようになったので、爺むさいがしばらくこれでいく。

    Comment by sajin — 2011年12月23日 @ 23:13

  6. 関連記事が表示されない問題は、indexを再構築しても元に戻らないのに、昔の記事には出ているし、復帰後新しく作成したものにもでているのでおかしいと思ったが、表示されないpostをupdateすると復活した。
    databaseの一部が吹き飛んでいて齟齬が出ていたようだ。

    Comment by sajin — 2011年12月27日 @ 07:57

RSS feed for comments on this post. TrackBack URL

Leave a comment


sand-storm.net